routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
/*
Route::get('/reserver', function () {
    return view('user.reserver');
});
Route::get('/blog', function () {
    return view('user.blog');
});

Route::group(['namespace'=>'User'],function () {
    Route::get('/','HomeController@index')->name('home');
    Route::get('/article/{article?}','ArticleController@post')->name('article');
    Route::get('/feedback','FeedBackController@create')->name('feedback.create');
    Route::post('/feedback','FeedBackController@store')->name('feedback.store');
    Route::get('/reserver','ReservationController@create')->name('reserver.create');
    Route::post('/reserver','ReservationController@store')->name('reserver.store');


});*/
Auth::routes();

//Route::get('/home', 'HomeController@index')->name('home');
/*Route::get('adm/post', function () {
    return view('admin/Blog/post');

});*/

//        $this->post('login', 'Auth\LoginController@login');



    Route::group(['namespace'=>'Admin'],function () {

        Route::get('/', 'Auth\LoginController@showLoginForm')->name('admin.login');
        Route::get('admin-login', 'Auth\LoginController@showLoginForm')->name('admin.login');
        Route::post('admin-login', 'Auth\LoginController@login');
        Route::post('admin-logout', 'Auth\LoginController@logout')->name('admin.logout');
        Route::resource('admin/service', 'ServiceController');
        Route::resource('admin/region', 'RegionController');
        Route::resource('admin/users', 'UserController');
        Route::get('admin/users1','UserController@index1')->name('users.index1');
        Route::resource('admin/fournisseurs', 'FournisseurController');
        Route::get('admin/fournisseurs1','FournisseurController@index1')->name('fournisseurs.index1');
        Route::resource('admin/projet', 'ProjetController');
        Route::resource('admin/feedback', 'FeedbackController');
        Route::resource('admin/rapport', 'RapportController');
        Route::resource('admin/propostion', 'PropositionController');
        Route::get('admin/propostion/{propostion}', 'PropositionController@index1')->name('propostion.view');
        Route::get('admin/projet1', 'ProjetController@index0')->name('projet.index0');
        Route::get('admin/projet2', 'ProjetController@index1')->name('projet.index1');
        Route::get('admin/projet3', 'ProjetController@index2')->name('projet.index2');
        Route::get('admin/projet4', 'ProjetController@index3')->name('projet.index3');
        Route::get('admin/planning', 'ProjetController@planning')->name('projet.planning');
        Route::get('admin/home', 'HomeController@index')->name('admin.home');
        Route::get('admin/changePassword','HomeController@showChangePasswordForm');
        Route::post('admin/changePassword','HomeController@changePassword')->name('changePassword');


        //Route::resource('admin/articles', 'ArticleController');
    //Route::resource('admin/materiels', 'MaterielController');

    //Route::resource('admin/clients', 'ClientController');
    //Route::resource('admin/employes', 'EmployeController');
    //Route::resource('admin/reservation', 'ReservationController');


    });

app/Http/Controllers/Admin/FeedbackController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Model\Feedback;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class FeedbackController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth:admin');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $feedbacks=Feedback::with('fournisseur')->with('users')->get();
        return view ('admin.feedback.show',compact('feedbacks'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        feedback::where ('id',$id)->delete();
        return redirect() ->back();
    }
}

app/Http/Controllers/User/FeedbackController.php
<?php

namespace App\Http\Controllers\User;

use App\Model\Feedback;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class FeedbackController extends Controller

{
    public function __construct()
    {
        $this->middleware('auth:web');
    }
    public function create()
    {
        return view ('user\feedback');

    }
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        request()->validate([

            'name' => 'required',
            'message' => 'required',
        ]);
        $request->user();
        $feedback = new Feedback();
        $feedback->sujet= $request->name;
        $feedback->message= $request->message;
        $feedback->user_id= $request->user()->id;
        $feedback->save();

        return redirect()->route('home');

    }
}

resources/views/admin/feedback/show.blade.php
@extends('admin\layouts\app')
@section('headSection')
    <link rel="stylesheet" href="{{ asset('admin/plugins/datatables/dataTables.bootstrap.css') }}">
@endsection
@section('main-content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Feedback
                <!--     <small>it all starts here</small>-->
            </h1>
        </section>

        <!-- Main content -->
        <section class="content">

            <!-- Default box -->
            <div class="box">
                <div class="box-header with-border">
                    <h3 class="box-title">Tous les feedbacks</h3>
                    @include('admin.includes.messages')
                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
                            <i class="fa fa-minus"></i></button>
                        <!--<button type="button" class="btn btn-box-tool" data-widget="remove" data-toggle="tooltip" title="Remove">
                            <i class="fa fa-times"></i></button>-->
                    </div>
                </div>
                <div class="box-body">
                    <div class="box">
                        <div class="box-header">
                            <h3 class="box-title"></h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            <table id="example1" class="table table-bordered table-striped">
                                <thead>
                                <tr>
                                    <th>N°</th>
                                    <th>D.email</th>
                                    <th>Message</th>
                                    <th>F.E-mail</th>
                                    <th>Delete</th>

                                </tr>
                                </thead>
                                <tbody>
                                @foreach($feedbacks as $feedback)
                                    <tr>
                                        <td>{{$loop->index + 1}}</td>
                                        <td>{{$feedback->users->email}}</td>
                                        <td>{{$feedback->note}}</td>

                                        <td>{{$feedback->fournisseur->email}}</td>

                                        <td>
                                            <form  id="delete-form-{{$feedback->id}}" method="post" action="{{route('feedback.destroy',$feedback->id)}}" style="display: none">
                                                {{csrf_field()}}
                                                {{method_field('DELETE')}}
                                            </form>
                                            <a href="" onclick="if(confirm ('Are you sure ,You want to delete')){

                                                    event.preventDefault();document.getElementById('delete-form-{{$feedback->id}}').submit(); }
                                                    else
                                                    {

                                                    event.preventDefault();
                                                    }

                                                    "><span class="glyphicon glyphicon-trash"></span></a>


                                        </td>

                                    </tr>
                                @endforeach

                                </tbody>
                                <tfoot>
                                <tr>
                                    <th>N°</th>
                                    <th>D.email</th>
                                    <th>Message</th>
                                    <th>F.E-mail</th>
                                    <th>Delete</th>

                                </tr>
                                </tfoot>
                            </table>
                        </div>
                        <!-- /.box-body -->
                    </div>                </div>
                <!-- /.box-body -->
                <div class="box-footer">
                    Footer
                </div>
                <!-- /.box-footer-->
            </div>
            <!-- /.box -->

        </section>
        <!-- /.content -->
    </div>



@endsection
@section('footerSection')
    <script src="{{ asset('admin/plugins/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('admin/plugins/datatables/dataTables.bootstrap.min.js') }}"></script>
    <script>
        $(function () {
            $("#example1").DataTable();
        });
    </script>
@endsection